# Haunted!

## Share your base with haunting spirits and bats!

Summon a sinister Ghost, fearsome Wraith, or unnerving Giant Bat to haunt your base or follow you and serve as a reminder of the non-life you live.

Add 'companion' Bats to your summoned creature.

Your summoned creatures will automatically vanish during the day, only to return at night.

Can be configured to attack enemies and remain throughout the day.

## New

- 0.1.2 Added Bats! A giant Bat to summon and Bat 'companions' that can appear with summoned creatures.
- 0.1.2 Revised summoning/unsummoning effects
- 0.1.1 Removed distance limit for unsummoning
- 0.1.0 Initial release

## Configuration

### Summoning

- **Spirit to Summon**: Controls the type of creature to summon. Can be Ghost, Wraith or Bat.
- **Number of Bats**: Sets the number of 'companion' Bats to add when you summon your Spirit. Bats are summoned and dispelled with the Spirit.
 
### Behavior

- ***Attack Enemies***: If enabled, summoned creatures actively attack and attract enemies. If disabled, creatures ignore and are ignored by enemies.
- ***Despawn in Day***: If enabled, creatures will automatically disappear in the day and return at night, and you cannot summon them during the day.
- **Patrol Radius**: The distance creatures will wander when set to stay in one area.

### Keys

- **Summon & Dispel Spirit**: Press this key to summon or dismiss tamed Spirits. You can only have one Spirit active at a time.

### Utility

- **LogLevel**: Controls the level of information in the log.

Settings in ***italics*** are controlled by the server if installed there.

### In-game reconfiguration

You can use Configuration Manager (or similar) mod to change the configuration without exiting the game. You can force a configuration update from the chat window (press Enter) then type:

	/modname config

### Notes

- In passive mode, summoned creatures will ignore and be ignored by other creatures. In attack mode, the creatures will respond 'normally' (i.e., not attacking or being attacked by other creatures of the same faction)
- Summoned creatures have immunity to fire and tolerance to smoke to minimize accidental damage around your base. Note that other AoE damage will affect them.
- Ghosts and Wraiths will consume Wisps if you leave them lying about. It makes them less unhappy.
- Giant Bats will consume any Bloodbags or Blood Sacks they find. It's quite the feast.
- Companion Bats do not follow. They will stay in the area where they were originally summoned.
- You can kill a summoned creature with the Butcher Knife. How cruel.
- Yes, I know a Bat isn't a spirit, but I thought about it after the fact, and it seemed appropriate to have them in a Haunted mod.

### Compatibility issues & defects

- If you find a compatibility issue you can post it on NexusMods. Be sure to include the mod name and version you think may be incompatible.
- If you have a bug please report it on NexusMods. If you do post a bug report, please make sure to include the following:
    - Your version of this mod
    - What you were doing, or attempting to do when it happened
    - If it's repeatable - i.e., can you duplicate it?
    - The exact behavior you observed (or didn't observe)
    - If possible, post a capture of the log file with errors (errors always begin with this mod's name) on Discord


You can find all Neobotics released mods on: 
- Thunderstore: https://tinyurl.com/NeoboticsOnThunderstore 
- Nexus Mods: https://tinyurl.com/NeoboticsOnNexus

Your comments and feedback are always welcome. Post on NexusMods or Discord: https://discord.gg/hRfqDapR